aboutsummaryrefslogtreecommitdiff
path: root/bash/bashrc.d
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2014-02-05 11:38:16 +1300
committerTom Ryder <tom@sanctum.geek.nz>2014-02-05 11:38:16 +1300
commit2b9f1c77922d86ad1806445b4eff3c8234f9ea38 (patch)
tree1f75b7cf88efdec820510650f8ba02cf0bc8ca5a /bash/bashrc.d
parentUnset PROMPT_DIRTRIM and ret for old prompt (diff)
downloaddotfiles-2b9f1c77922d86ad1806445b4eff3c8234f9ea38.tar.gz
dotfiles-2b9f1c77922d86ad1806445b4eff3c8234f9ea38.zip
Declare ret as an integer
Diffstat (limited to 'bash/bashrc.d')
-rw-r--r--bash/bashrc.d/prompt.bash2
1 files changed, 1 insertions, 1 deletions
diff --git a/bash/bashrc.d/prompt.bash b/bash/bashrc.d/prompt.bash
index bfe825c2..ba41e7d9 100644
--- a/bash/bashrc.d/prompt.bash
+++ b/bash/bashrc.d/prompt.bash
@@ -7,7 +7,7 @@ prompt() {
# Turn complex, colored prompt on
on)
# Set up pre-prompt command and prompt format
- PROMPT_COMMAND='ret=$? ; history -a'
+ PROMPT_COMMAND='declare -i ret=$? ; history -a'
PS1='[\u@\h:\w]$(prompt vcs)$(prompt job)$(prompt ret)\$'
# If Bash 4.0 is available, trim very long paths in prompt